@echo off
:start
echo.
echo Veuillez choisir une carrosserie (V : vernie, MV : metallisee vernie) :
echo.
echo (1) Gris iceberg
echo (2) Blanc
echo (3) Pamplemousse
echo (4) Vert tyrol
echo (5) Sequoia
echo (6) Rouge vif
echo (7) Peche
echo (8) Beige antique
echo (9) Alpaga
echo (a) Bleu ozone
echo (b) Gris tungstene
echo.
set /p choix= La couleur choisie est :
rem CLS
rem if not '%choix%'== set choix=%choix:~0,1%
if '%choix%'=='1' goto gris
if '%choix%'=='2' goto blanc
if '%choix%'=='3' goto pampl
if '%choix%'=='4' goto tyrol
if '%choix%'=='5' goto sequo
if '%choix%'=='6' goto rouge
if '%choix%'=='7' goto peche
if '%choix%'=='8' goto beige
if '%choix%'=='9' goto alpag
if '%choix%'=='a' goto ble_o
if '%choix%'=='b' goto tungs
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:gris
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie cendre
..\..\..\..\ini ..\car.shd shader_body.ambient "0.15 0.15 0.155 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.25 0.25 0.26 1"
..\..\..\..\ini ..\car.shd shader_body.specular "0.25 0.25 0.26 1"
..\..\..\..\ini ..\car.shd shader_body.shininess "12"
goto h_cendre
:blanc
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie cendre
..\..\..\..\ini ..\car.shd shader_body.ambient "0.50 0.50 0.49"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.55 0.55 0.53"
..\..\..\..\ini ..\car.shd shader_body.specular "0 0 0 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "4"
goto h_cendre
:pampl
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie cendre
..\..\..\..\ini ..\car.shd shader_body.ambient "0.6 0.4 0.15 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.6 0.4 0.15 1"
..\..\..\..\ini ..\car.shd shader_body.specular "0 0 0 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "2"
goto h_cendre
:tyrol
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.00 0.002 0.001 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.00 0.005 0.000"
..\..\..\..\ini ..\car.shd shader_body.specular "0.30 0.22 0.16 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "23"
goto h_ficelle
:sequo
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.00 0.025 0.032 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.00 0.038 0.044"
..\..\..\..\ini ..\car.shd shader_body.specular "0 0 0 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "23"
goto h_ficelle
:rouge
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie cendre
..\..\..\..\ini ..\car.shd shader_body.ambient "0.20 0.001 0.001 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.25 0.001 0.001 1"
..\..\..\..\ini ..\car.shd shader_body.specular "0.00 0.00 0.000 1"
..\..\..\..\ini ..\car.shd shader_body.shininess "12"
goto h_cendre
:peche
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.10 0.03 0.01 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.15 0.06 0.03 1"
..\..\..\..\ini ..\car.shd shader_body.specular "0.15 0.12 0.06 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "23"
goto h_ficelle
:beige
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.06 0.06 0.04 1"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.09 0.08 0.06 1"
..\..\..\..\ini ..\car.shd shader_body.specular "0.18 0.16 0.12 1"
..\..\..\..\ini ..\car.shd shader_body.shininess "23"
goto h_ficelle
:alpag
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.32 0.33 0.26"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.40 0.41 0.32"
..\..\..\..\ini ..\car.shd shader_body.specular "0 0 0 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "23"
goto h_ficelle
:ble_o
rem echo Vous avez choisi la couleur %choix%
pause
REM harmonie ficelle
..\..\..\..\ini ..\car.shd shader_body.ambient "0.15 0.15 0.18"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.20 0.20 0.24"
..\..\..\..\ini ..\car.shd shader_body.specular "0.15 0.13 0.12 0"
..\..\..\..\ini ..\car.shd shader_body.shininess "16"
goto h_cendre
:tungs
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd shader_body.ambient "0.03 0.03 0.032"
..\..\..\..\ini ..\car.shd shader_body.diffuse "0.03 0.03 0.032"
..\..\..\..\ini ..\car.shd shader_body.specular "0.18 0.17 0.165"
..\..\..\..\ini ..\car.shd shader_body.shininess "15"
goto h_cendre
:h_ficelle
REM harmonie ficelle
..\..\..\..\ini ..\car.shd vf_interieur.ambient "0.22 0.18 0.10"
..\..\..\..\ini ..\car.shd vf_interieur.diffuse "0.32 0.29 0.16"
..\..\..\..\ini ..\car.shd vf_interieur.specular "0.16 0.14 0.11 1"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.ambient "0.060 0.030 0.020"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.diffuse "0.060 0.030 0.020"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.specular "0.12 0.08 0.06 1"
goto conf
:h_cendre
REM harmonie cendre
..\..\..\..\ini ..\car.shd vf_interieur.ambient "0.08 0.08 0.08"
..\..\..\..\ini ..\car.shd vf_interieur.diffuse "0.11 0.11 0.11"
..\..\..\..\ini ..\car.shd vf_interieur.specular "0.11 0.11 0.11 1"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.ambient "0.03 0.03 0.03"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.diffuse "0.050 0.050 0.050"
..\..\..\..\ini ..\car.shd vf_interieur_fonce.specular "0.06 0.06 0.06 1"
goto conf
:conf
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer de couleur
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
:exit
exit
